Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class MetaMethodIndex.Header

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Header

Enclosing class:
  MetaMethodIndex

    public static class MetaMethodIndex.Header

extends Object

Field Summary
`int` | `clsHashCode31`
`MetaMethodIndex.Entry` | `head`
`Class` | `subclass`

Constructor Summary
`MetaMethodIndex.Header(Class cls)`
`MetaMethodIndex.Header(Class cls, Class subclass)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### head

    public MetaMethodIndex.Entry head

### clsHashCode31

    public int clsHashCode31

### subclass

    public Class subclass

Constructor Detail

### MetaMethodIndex.Header

    public MetaMethodIndex.Header(Class cls)

### MetaMethodIndex.Header

    public MetaMethodIndex.Header(Class cls,
                                  Class subclass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD